/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.o-coaActivityItem {
  &__card {
    background: $coa-white-100;
    position: relative;
    &::before {
      display: block;
      height: 100%;
      width: 6px;
      content: '';
      position: absolute;
      left: 0;
    }

    &.--green {
      &::before {
        background: linear-gradient(180deg, #ace4c1 0%, $coa-green-100 100%);
      }
    }
    &.--yellow {
      &::before {
        background: linear-gradient(180deg, #ffd494 0%, $coa-yellow-100 100%);
      }
    }
    &.--violet {
      &::before {
        background: linear-gradient(180deg, #ddb3ff 0%, $coa-violet-100 100%);
      }
    }
    &__titleType {
      text-transform: uppercase;
      &.--green {
        @include primary-text(1rem, $coa-green-100, 700);
      }
      &.--yellow {
        @include primary-text(1rem, $coa-yellow-100, 700);
      }
      &.--violet {
        @include primary-text(1rem, $coa-violet-100, 700);
      }
    }
  }
  &__indicatorTitle {
    @include primary-text(0.75rem, $coa-medium-gray-100, 700);
  }
  &__indicatorValue {
    @include primary-text(0.75rem, $coa-medium-gray-100, 400);
  }
}
